<div class="profile">
    <h1>Mon profi utilisateur</h1>
    <form #userForm="ngForm" role="form">
        <div class="profile-container">
            <div class="avatar-container">
                <h2>Mon avatar</h2>
                <img [src]="user.avatarUrl" alt="">
                <div class="field column">
                    <label for="avatar">Url de l'avatar</label>
                    <input type="text" id="avatar" name="avatar" [(ngModel)]="user.avatarUrl">
                </div>
            </div>
            <div class="user-infos">
                <h2>Mes infos personelles</h2>
                <div class="field" required>
                    <label for="firstname">Prénoms</label>
                    <input type="text" id="firstname" name="firstname" [(ngModel)]="user.firstName" required>
                </div>
                <div class="field" required>
                    <label for="lastname">Nom</label>
                    <input type="text" id="lastname" name="lastname" [(ngModel)]="user.lastName" required>
                </div>
                <div class="field" required>
                    <label for="email">Email</label>
                    <input type="email" id="email" name="email" [(ngModel)]="user.email" required>
                </div>
                <div class="field" required>
                    <label for="birthday">Date de naissance</label>
                    <input type="date" id="birthday" name="birthday" [ngModel]="user.birthDay | date:'yyyy-MM-dd'"
                        (ngModelChange)="user.birthDay = $event" required>
                </div>
            </div>
        </div>
        <div class="action">
            <a [routerLink]="['/profile', 'update-password']">Changer mon mot de passe</a>
            <button type="button" (click)="updateUserInfo(user)" [disabled]="!userForm.valid">
                S'engregistrer</button>
        </div>
    </form>
</div>